Update agent configuration
const url = 'https://api.ultimateteam.ai/api/v1/agents/example';const options = { method: 'PATCH', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"agent_name":"example","autonomy_overrides":{},"character_profile":{"communication_style":"formal","decision_temperament":"analytical","detail_level":"concise","risk_tolerance":1},"model_tier":"example","system_prompt_override":"example","tools_enabled":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.ultimateteam.ai/api/v1/agents/example \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "agent_name": "example", "autonomy_overrides": {}, "character_profile": { "communication_style": "formal", "decision_temperament": "analytical", "detail_level": "concise", "risk_tolerance": 1 }, "model_tier": "example", "system_prompt_override": "example", "tools_enabled": [ "example" ] }'Update an agent’s model tier, autonomy overrides, or tools.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The agent role to update
The agent role to update
Request Bodyrequired
Section titled “Request Bodyrequired”Request body for PATCH /agents/{role}.
Attributes: model_tier: New model tier (optional). autonomy_overrides: Updated autonomy overrides (optional). tools_enabled: Updated enabled tools list (optional). system_prompt_override: Custom system prompt (optional). agent_name: Persona name for the agent (optional). character_profile: Personality traits update (optional).
object
Partial update model for PATCH semantics.
All fields are optional so callers can update only the traits they want to change.
Attributes: communication_style: Tone used in all agent output. risk_tolerance: 0.0 (ultra-conservative) to 1.0 (bold). decision_temperament: How the agent approaches decisions. detail_level: Verbosity of agent responses.
Responses
Section titled “ Responses ”Successful Response
Wrapper response for PATCH /agents/{role}.
Attributes: data: The update result payload.
object
Payload returned by PATCH /agents/{role}.
Attributes: role: Agent role identifier. model_tier: Current model tier. status: Current lifecycle status. autonomy_overrides: Current autonomy overrides. agent_name: Current persona name. character_profile: Current personality traits.
Examplegenerated
{ "data": { "agent_name": "example", "autonomy_overrides": {}, "character_profile": {}, "model_tier": "example", "role": "example", "status": "example" }}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}